javax.el

## Class MethodNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.el.ELException
        - - javax.el.MethodNotFoundException

- All Implemented Interfaces:
    Serializable

      public class MethodNotFoundException
      extends ELException

  Thrown when a method could not be found while evaluating a `MethodExpression`.
  Since:
    JSP 2.1
  See Also:
    `MethodExpression`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodNotFoundException()` Creates a `MethodNotFoundException` with no detail message.
    `MethodNotFoundException(String message)` Creates a `MethodNotFoundException` with the provided detail message.
    `MethodNotFoundException(String pMessage, Throwable pRootCause)` Creates a `MethodNotFoundException` with the given detail message and root cause.
    `MethodNotFoundException(Throwable exception)` Creates a `MethodNotFoundException` with the given root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodNotFoundException

          public MethodNotFoundException()

      Creates a `MethodNotFoundException` with no detail message.

    - #### MethodNotFoundException

          public MethodNotFoundException(String message)

      Creates a `MethodNotFoundException` with the provided detail message.
      Parameters:
        `message` - the detail message

    - #### MethodNotFoundException

          public MethodNotFoundException(Throwable exception)

      Creates a `MethodNotFoundException` with the given root cause.
      Parameters:
        `exception` - the originating cause of this exception

    - #### MethodNotFoundException

          public MethodNotFoundException(String pMessage,
                                 Throwable pRootCause)

      Creates a `MethodNotFoundException` with the given detail message and root cause.
      Parameters:
        `pMessage` - the detail message
        `pRootCause` - the originating cause of this exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.